<div layout="row">
    <h2>Link Creation View</h2>
</div>
<hr>

<md-content class="md-padding">

    <div layout="row" layout-padding layout-wrap layout-fill style="padding-bottom: 32px;" ng-cloak>

        <md-whiteframe class="md-whiteframe-1dp" flex-gt-sm="50" layout layout-align="left left">

            <div>
                <h1 class="md-title">Select Source Resource</h1>
                <div layout="column">
                    <md-input-container style="margin-right: 10px;">
                        <label>Provider</label>
                        <md-select ng-model="sourceselectedInput">
                            <md-option ng-repeat="input in inputs" value="{{input}}">{{input}}</md-option>
                        </md-select>
                    </md-input-container>
                    <!--<md-input-container style="margin-right: 10px;">-->
                        <!--<label>Link Property</label>-->
                        <!--<md-select ng-model="sourcelinkselected">-->
                            <!--<md-option ng-repeat="input in sourcelinks" value="{{input}}">{{input}}</md-option>-->
                        <!--</md-select>-->
                    <!--</md-input-container>-->
                    <md-input-container>
                        <label>Link Property</label>
                        <input ng-model="sourcelinkselected">
                    </md-input-container>
                </div>
                <input layout-align="right" ng-model="sourcequeryfilter"/>
                <md-button ng-click="sourcetriggerSearch($event)" class="md-raised">Search</md-button>
                <md-button ng-click="createLink($event)" class="md-raised">Create Link</md-button>

                <div layout="row" layout-align="center start">
                    <div layout="row" flex class="layout-max-width">
                        <md-content flex>
                            <md-list layout-fill>
                                <div layout="row" layout-sm="column" layout-align="space-around">
                                    <md-progress-circular md-mode="indeterminate" ng-show="sourceisLoading"></md-progress-circular>
                                </div>

                                <div ng-hide="sourceisLoading">
                                    <md-radio-group ng-model="sourcepropertyToDisplay" layout="row">
                                        <md-radio-button value="title" class="md-primary"> Title </md-radio-button>
                                        <md-radio-button value="identifier"> Identifier </md-radio-button>
                                        <md-radio-button value="type"> Type </md-radio-button>
                                    </md-radio-group>
                                </div>

                                <md-list-item ng-repeat="entry in sourcequeryresult | filter:sourcequeryfilter" ng-click="goToPerson(person.name, $event)" class="noright">
                                    <!--<md-checkbox class="md-secondary" ng-model="sourceselected"></md-checkbox>-->
                                    <!--<md-checkbox ng-checked="exists(item, selected)" ng-click="toggle(item, selected)">-->
                                    <p>{{ sourceentryValueToDisplay(entry) }}</p>
                                    <md-checkbox aria-label="Follow" class="md-secondary" ng-checked="exists(entry, sourceselected)" ng-click="toggle(entry, sourceselected)">
                                </md-list-item>

                            </md-list>
                        </md-content>
                    </div>
                </div>
            </div>
        </md-whiteframe>

        <md-whiteframe class="md-whiteframe-1dp" flex-gt-sm="50" layout layout-align="left left">

            <div>
                <h1 class="md-title">Select Target Resource</h1>
                <div layout="row">
                    <md-input-container style="margin-right: 10px;">
                        <label>Provider</label>
                        <md-select ng-model="targetselectedInput">
                            <md-option ng-repeat="input in inputs" value="{{input}}">{{input}}</md-option>
                        </md-select>
                    </md-input-container>
                </div>
                <input layout-align="right" ng-model="targetqueryfilter"/>
                <md-button ng-click="targettriggerSearch($event)" class="md-raised">Search</md-button>

                <div layout="row" layout-align="center start">
                    <div layout="row" flex class="layout-max-width">
                        <md-content flex>
                            <md-list layout-fill>
                                <div layout="row" layout-sm="column" layout-align="space-around">
                                    <md-progress-circular md-mode="indeterminate" ng-show="targetisLoading"></md-progress-circular>
                                </div>

                                <div ng-hide="targetisLoading">
                                    <md-radio-group ng-model="targetpropertyToDisplay" layout="row">
                                        <md-radio-button value="title" class="md-primary"> Title </md-radio-button>
                                        <md-radio-button value="identifier"> Identifier </md-radio-button>
                                        <md-radio-button value="type"> Type </md-radio-button>
                                    </md-radio-group>
                                </div>

                                <md-list-item ng-repeat="entry in targetqueryresult | filter:targetqueryfilter" ng-click="goToPerson(person.name, $event)" class="noright">
                                    <p>{{ targetentryValueToDisplay(entry) }}</p>
                                    <md-checkbox aria-label="Follow" class="md-secondary" ng-checked="exists(entry, targetselected)" ng-click="toggle(entry, targetselected)">
                                </md-list-item>

                            </md-list>
                        </md-content>
                    </div>
                </div>
            </div>
        </md-whiteframe>

    </div>

</md-content>
